// 
// ASQView.h 
// 
#ifndef ASQVIEW_H
#define ASQVIEW_H
#include <View.h>
#include "TVolumenob.h"
#include	"TSelectnob.h"
#include "TLamp.h"
#include "TTimer.h"
#include "TOutput.h"

#define START_BUTTON_PRESSED 'strt'
#define SHOT_BUTTON_PRESSED 'shot'

class BView;


class ASQView : public BView 
{ 
public: 
            ASQView( BRect frame, const char* name ); 
    void    AttachedToWindow();
    void	MessageReceived(BMessage* message); 
    void    Draw( BRect rect ); 
    
	TTimer*		timer;
	TOutput*	output;
private:
	TVolumenob*	temponob;
	TSelectnob*	togulnob;
	TVolumenob*	volA[64];
	TVolumenob*	volB[64];
	TVolumenob*	volC[64];
	TVolumenob*	volD[64];
	TVolumenob*	portamentA;
	TVolumenob*	portamentB;
	TVolumenob*	duty;
	TLamp*		tempolamp;
	TLamp*		lamp[64];
	int			noofon;
	
	
	int		endofnote;
	int		now;
	bool	running;
	bool	stepping;
	bool	nowstepping;
}; 

#endif