// ASQWindow.cpp 
// 
#include "ASQWindow.h" 
#include <Application.h>

ASQWindow::ASQWindow( BRect frame , const char* n) 
    :BWindow( frame, n, B_TITLED_WINDOW, B_NOT_RESIZABLE|B_NOT_ZOOMABLE ) 
{ 
	BRect viewFrame = Bounds(); 
    view = new ASQView( viewFrame, n ); 
    AddChild( view ); 
   
} 

bool ASQWindow::QuitRequested(){
	view->timer->PostMessage( B_QUIT_REQUESTED );
 	snooze(20000); 
 	view->output->PostMessage( B_QUIT_REQUESTED );
 	snooze(20000); 
 	(BApplication*)be_app->PostMessage( B_QUIT_REQUESTED ); 
    return true; 
} 

void ASQWindow::MessageReceived(BMessage* message){
	
	switch(message->what){
	case START_BUTTON_PRESSED:view->timer->PostMessage(message);break;
	case SHOT_BUTTON_PRESSED:view->timer->PostMessage(message); break;
	case 'btup':view->timer->PostMessage(message);break;
	case 'inst':view->output->PostMessage(message); break;
	case 'ctrl':view->output->PostMessage(message); break;
	case 'rvrb':view->output->PostMessage(message); break;
	case 'strg':view->timer->PostMessage(message);break;
	case 'etrg':view->timer->PostMessage(message);break;
	case 'ctrg':view->timer->PostMessage(message);break;
	case 'mout':view->output->PostMessage(message); break;
	
	
	}


}
