//
//TOutput.h
//
#ifndef TOUTPUT_H
#define TOUTPUT_H
#include <stdio.h>
#include <Looper.h>
#include <Synth.h>
#include <MidiSynth.h>
#include <MidiProducer.h>
#include <MidiConsumer.h>

class BLooper;
//class BSynth;
class BMidiSynth;
class BMidiPort;

class TOutput : public BLooper
{ 
public: 
            TOutput(BView* view,const char* name); 
    void    MessageReceived(BMessage* message);
    void	SetTarget(BLooper* looper);
    void	HandleData(int	CH, int number, int data);
    bool	QuitRequested();
    //BSynth	synth;
    BMidiPort *midi1;
    BMidiPort *midi2;
    char* mididistname;
    BMidiConsumer* mididistination;
	BMidiLocalProducer* midiout;
	BMidiSynth song;
	
	
private:
	BLooper* targetlooper;
	int	voldata[8][16];
	int playingdata[8];
	BView*	target;
	bool playing;
	int velosity[8];
	int status[8];
	int statusofctrl[3];
	int	outputstatus[4];//	type of output device; 1: Bsynth
						//	-10:percussion of Bsynth (CH10)
						//	-126:midi1
						//  -127:midi2
	int	ctrldata[3];
	float velfactor[3];
	
	
}; 

#endif